<?php
session_start();//I'll start a session till the browser is not closed
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
//session_unset();//test of if for missing nick
define('__ROOT__', dirname(__FILE__));
//requiring once the file with config vars and functions
require_once(__ROOT__.'/config.php');

//if clicked logout:
    if(trim($_GET["odhlasit"])==true){
        
        //then we must delete nick from database:
        $conn=open_conn_with_db_quietly($servername,$username,$password,$database);
        if(isset($_SESSION["nick"]) && strlen(trim($_SESSION["nick"]))>0){
            $sql="select id from users where nick='".$_SESSION["nick"]."' LIMIT 1";
            $result=run_query_quietly($sql,$conn);
            if (mysqli_num_rows($result) > 0) {
                // output data of each row
                while($row = mysqli_fetch_assoc($result)) {
                   $found_id=$row["id"];
                   //here we must delete chain on logout:

                   delete_chain_on_logout($servername,$username,$password,$database,$MAX_TIME_BEING_LOGGED_ON);//delete after time users->glass->rp

                }
                //echo($found_id);//here you can delete from glass and rp table on found_id, but not necessary
                //I decided to preserve glass and rp table till next time refresh of page and then delete old data
              }
          session_unset(); //unsetting all session variables as nick
        }
        mysqli_close($conn);
    }
$clean_msg="";
delete_chain_on_logout($servername,$username,$password,$database,$MAX_TIME_BEING_LOGGED_ON);
?>
<!doctype html>
<html lang="sk">

<head>
  <meta charset="utf-8">
  <meta http-equiv="refresh" content="50">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">
  <meta name="description" content="Azet pokec neobmedzený chat a jeho kópia zadarmo od lesna.vevericka@gmail.com, licencia MIT">
  <title id="snippet--title">Hlavné sklo - pokec zadarmo</title>
  
  <link rel="icon" type="image/png" href="https://www.webzdarma.cz/favicon.png">
</head>
<body style="text-align:center; display:block;">
<div style="color:white;background-color:red;">POZOR: Nezavrite/neodhláste toto okno, stratíte RPčky a vytvoríte mŕtvy koniec s aktuálnymi ľuďmi v RP! Musíte nadviazať nové vlákno RP po prihlásení. Okno Hlavné sklo si nechajte, čo najdlhšie bežať!</div>
<?php
if(!isset($_SESSION["nick"]) || trim($_SESSION["nick"])==""){ //test of if for missing nick
    echo("Nastavte si nick pre chat: <a style=\"color:red; text-align:center;\" href=\"index.php\">KLIK SEM</a>");
}else{

    if(isset($_POST["message"]) && trim($_POST["message"])!=""){
        if(!check_msg_len_allow(trim($_POST["message"]),$MAX_LEN_MSG)){
            echo("<br> <span style=\"color:red;\">CHYBA: Posielaná správa smie obsahovať len A-Z a-z 0-9 _ Je možné aj, že nesedí počet medzier v slovách vety!</span><br><a style=\"color:blue;\" href=\"chat.php\">KLIK SEM...</a><br></body></html>");
            exit();
        }else{
            //if msg is checked we can update database table glass and page table glass
            $conn=open_conn_with_db_quietly($servername,$username,$password,$database);
            if(isset($_SESSION["nick"]) && strlen(trim($_SESSION["nick"]))>0){
                $sql="select id from users where nick='".$_SESSION["nick"]."' LIMIT 1";
                $result=run_query_quietly($sql,$conn);
                if (mysqli_num_rows($result) > 0) {
                    // output data of each row
                    while($row = mysqli_fetch_assoc($result)) {
                    $found_id=$row["id"];
                    }
                    //echo($found_id);//here you can delete from glass and rp table on found_id, but not necessary
                    //I decided to preserve glass and rp table till next time refresh of page based on stamp and then delete old data
                    $sql="INSERT INTO glass (from_id, msg3) VALUES (".trim($found_id).", '".trim($_POST["message"])."')";
                    $result=run_query_quietly($sql,$conn);
                }else{
                    //else the nick does not exist we'll exit with message
                    echo("Nastavte si nick pre chat: <a style=\"color:red; text-align:center;\" href=\"index.php\">KLIK SEM</a>");
                    exit();
                }
            }
            mysqli_close($conn);
            
        }
    }
    //if we are set up with nick, we can read glass of chat table
    echo("<form style=\"margin:5px; padding:5px;\" action=\"chat.php\" method=\"post\">Pridaj správu: <input autocomplete=\"off\" style=\"width:70%\" name=\"message\" type=\"text\" maxlength=\"180\"><input type=\"submit\" value=\"Pridať>>>\"></form>");
    echo("<table style=\"border:1px solid black; text-align:center; width:90%; margin-top:2%; margin-bottom:2%; margin-left:auto; margin-right:auto;\"><tr style=\"\"><td style=\"border:1px solid black; text-align:center; width:70%;\">Otvorený pokec pre teba</td><td style=\"border:1px solid black; text-align:center; width:30%;\">Kto si: ".substr(trim($_SESSION["nick"]),0,$MAX_LEN_NICK)." <a style=\"color:blue;\" href=\"chat.php?odhlasit=true\"> Odhlásiť</a> <a style=\"color:green;\" href=\"chat.php\"> Obnov sklo</a></td></tr>");
    echo("<tr><td style=\"border:1px solid black;\"> <table style=\"width:100%;\"> <tr style=\"text-align:center;\"><td style=\"width:100%\">".generate_chat_lines($servername,$username,$password,$database,$GLASS_MAX_MSGS,$MAX_GLASS_LIMIT_DB,$MAX_HRS_GLASS_NICK)."</td></tr> </table> </td> <td style=\"border:1px solid black;\"> <table style=\"width:100%;\"> <tr style=\"text-align:center;\"><td>".generate_nick_lines($servername,$username,$password,$database,$MAX_CHATTERS_ALLOWED,$MAX_TIME_BEING_LOGGED_ON)."</td></tr> </table> </td></tr>");
    echo("</table>");
}
?>
<br>
<?php 
echo("Priemerný čas na používateľa k odstráneniu mŕtvych koncov je ".how_long_dead_ends_avg($servername,$username,$password,$database,$MAX_TIME_BEING_LOGGED_ON)."".$MAX_TIME_BEING_LOGGED_ON." sekúnd. Mŕtve konce vytvárajú používatelia, ktorí zanechajú nick odhlásením/zavretím okna. Po tento čas je potrebné ešte uchovať RPčky pre opačnú stranu a následne dôjde k vyčisteniu mŕtveho konca.<br>");
echo("Používame toľkoto Bajtov skriptom: ".memory_get_usage()."B. A celkovo alokujeme: ".memory_get_usage(true)."B."); ?>
</body>
</html>