<?php
//defining root directory in ./
define('__ROOT__', dirname(__FILE__));
//requiring once the file with config vars and functions
require_once(__ROOT__.'/config.php');
//trying to open the connection based on config.php in ./ directory
$conn=open_conn_with_db($servername,$username,$password,$database);

//{
//defining the sql query
$sql="DROP TABLE IF EXISTS users";
//running defined query, if it fails the script exits on this line
run_query($sql,$conn);

$sql = "CREATE TABLE IF NOT EXISTS users (
    id INT(8) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    nick VARCHAR(60) NOT NULL,
    sex VARCHAR(2) NOT NULL,
    time1 TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";
run_query($sql,$conn);

$sql="DROP TABLE IF EXISTS rp";
run_query($sql,$conn);

$sql = "CREATE TABLE IF NOT EXISTS rp (
    id INT(8) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    from_id INT(8) UNSIGNED NOT NULL,
    to_id INT(8) UNSIGNED NOT NULL,
    msg2 VARCHAR(200) NOT NULL,
    seen VARCHAR(2) NOT NULL,
    time2 TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";
run_query($sql,$conn);

$sql="DROP TABLE IF EXISTS glass";
run_query($sql,$conn);

$sql = "CREATE TABLE IF NOT EXISTS glass (
    id INT(8) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    from_id INT(8) UNSIGNED NOT NULL,
    msg3 VARCHAR(200) NOT NULL,
    time3 TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";
run_query($sql,$conn);
//} end of calling queries on database, db structure defined by this

//closing connection with db not to stay with many opened handles to db
mysqli_close($conn);

echo("<br>USPECH: Koniec vytvorenia struktury databazy. Instalacia hotova.<br>Prejdite na index.php");

?>
<?php echo("<br>Používame toľkoto Bajtov skriptom: ".memory_get_usage()."B. A celkovo alokujeme: ".memory_get_usage(true)."B."); ?>