<?php
session_start();//I'll start a session till the browser is not closed
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
//defining root directory in ./
define('__ROOT__', dirname(__FILE__));
//requiring once the file with config vars and functions
require_once(__ROOT__.'/config.php');
//lets check session vars are allowed ok:
$_SESSION["test"]=1;
$answer=0;//at the beginning of the page we do not have set up POST vars:
if(isset($_POST["captcha"])) $answer=parse_captcha(trim($_POST["captcha"]));
?>
<!doctype html>
<html lang="sk">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">
  <meta name="description" content="Azet pokec neobmedzený chat a jeho kópia zadarmo od lesna.vevericka@gmail.com, licencia MIT">
  <title id="snippet--title">Zadarmo pokec</title>
  
  <link rel="icon" type="image/png" href="https://www.webzdarma.cz/favicon.png">
</head>
<body style="text-align:center; display:block;">
<?php
//if the browser has problem with sessions cookies or sqlite in /tmp/ we stop the program immediately:
 if($_SESSION["test"]!=1){
     echo("<br> <span style=\"color:red;\">CHYBA: Nedá sa nastaviť relácia SESSION a jej premenné.</span><br></body></html>");
     exit();
 }
?>
    Vstupuješ do neobmedzeného pokecu. Uži si slobodu! Teraz zadaj svoju prezývku a to je všetko. Kecaj slobodne:<br>
    <form action="index.php" method="POST">
        Prezývka: <input autocomplete="off" type="text" name="nick" maxlength="<?php echo($MAX_LEN_NICK); ?>" style="width:250px;"><input type="submit" value="→Vstúp!←"><br>
        Kontrola: Koľký deň týždňa je <?php if($answer==0) {$question=captcha_question(); $_SESSION["question"]=$question;}else{
            echo(" <a style=\"color:red;\" href=\"index.php\">načítaj_znova</a> ");
        } ?>? Zadaj číslo, pr 1 až 7 a →Vstúp!←: <input autocomplete="off" maxlength="3" type="text" name="captcha" style="width:30px;"><br>
    </form><br>
<?php 
 //first lets check nick length and allowed chars
 //here we must before everything also check captcha, if it does not pass captcha, it is useless all:
 //we can chain conditions in one IF statement 
 
 //checks printing out:
 //echo("question: ".$_SESSION["question"]." answer: ".$answer." captcha: ".captcha($_SESSION["question"],$answer));

 if(check_nick_len_allow($_POST["nick"],$MAX_LEN_NICK)===0 || strlen(trim($_POST["nick"]))==0 || captcha($_SESSION["question"],$answer)===0 || strlen(trim($_POST["nick"]))>$MAX_LEN_NICK || strlen(trim($_POST["captcha"]))>3){
    echo("<br> <span style=\"color:red;\">CHYBA: Prezývka môže obsahovať A-Z a-z 0-9 a podtržník _</span><br>");
    echo("<br> <span style=\"color:red;\">CHYBA: Alebo ste neprešli validáciou captcha. Zadajte správne poradie dňa!</span><br>");
    
 }else{
    //lets check if in DB there is such a nick twice:
        $conn=open_conn_with_db_quietly($servername,$username,$password,$database);
        //you cant overflow DB, if you see 3 same nicks it is enough, otherwise you got million without LIMIT:
        $sql = "SELECT nick FROM users WHERE nick='".trim($_POST["nick"])."' LIMIT 3"; 
        $result=run_query_quietly($sql,$conn);
        if (mysqli_num_rows($result) > 0){
            //if we have two same nicks in DB we just echo statement and thats all:
                echo("<br> <span style=\"color:red;\">CHYBA: V databáze sa už takáto prezývka našla. Zvoľte inú!</span><br>");    
        }else{
            //else we can add the nick to db table and start chatting
            //we also can mirror session variable and time1 variable in database
            //if you are in session and on db users time1 you are in
            $_SESSION["nick"] = trim($_POST["nick"]);
            $sql="INSERT INTO users (nick, sex) VALUES ('".$_SESSION["nick"]."','0')";
            $result=run_query_quietly($sql,$conn);
            $_SESSION["question"]=0;//dont forget to reset question after all checks
            echo("<br><a style=\"color:green;\" href=\"chat.php\">VSTÚPTE DO POKECU (prezývka je už tam, klik sem)</a><br>");
        }
        mysqli_close($conn);
 }
?>
    <br>
    Autor: Ár_Noma<br>
    <?php echo("Používame toľkoto Bajtov skriptom: ".memory_get_usage()."B. A celkovo alokujeme: ".memory_get_usage(true)."B."); ?>
</body>
</html>